AOZ Studio Beta - Bug #176

Arrays made Global reported as 'used with being declared’ unless at least 1 element is declared

elsewhere
02/12/2020 09:43 PM - David Baldwin

Status: Closed Start date: 02/12/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.5

Description

Arrays made Global reported as 'used with being declared' at the line where they are made global unless at least 1 element is

declared elsewhere.
Example with error:-

Dim A$(10)
Global A$()

To remove error:-
Dim A$(10)

A$(7)="a"
Global A$()

History

#1 - 02/13/2020 07:44 AM - David Baldwin
Should read 'Used without being declared'.

#2 - 03/13/2020 10:11 PM - David Baldwin

- Status changed from New to Closed
